@mixin cropped-borders-card-styles($cropped-borders-card-palette) {
  $background-color: map-get($map: $cropped-borders-card-palette, $key: "background-color");
  $border-radius: map-get($map: $card-palette, $key: "border-radius");

  .noku-library-cropped-borders-card-body {
    position: relative;
    background-color: $background-color;
    border-radius: $border-radius;
    padding: 0.5em 1em;
    box-sizing: border-box;

    &::after {
      background: url("data:image/svg+xml;utf8,<svg preserveAspectRatio=\"none\" width=\"368\" height=\"203\" viewBox=\"0 0 368 203\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M0.5 202.5H337.724L367.5 155.277V0.5H30.2758L0.5 47.7226V202.5Z\" stroke=\"url(%23paint0_linear)\"/><defs><linearGradient id=\"paint0_linear\" x1=\"1.42453e-05\" y1=\"-4.91133e-05\" x2=\"393.754\" y2=\"114.208\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"%234446ED\"/><stop offset=\"1\" stop-color=\"%23AD29FF\"/></linearGradient></defs></svg>") no-repeat center center;
      background-size: 100% 100%;
      content: "";
      z-index: 1;
      /* background-color: rgb(255 0 0); */
      position: absolute;
      top: -8px;
      bottom: -8px;
      left: -8px;
      right: -8px;
      pointer-events: none;
    }
  }
}
